﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SilverlightApplication160.ViewModel
{
    public class VM:INotifyPropertyChanged
    {
        ObservableCollection<Person> people = new ObservableCollection<Person>();
        public ObservableCollection<Person> People
        {
            get { return people; }
            set { people = value; }
        }

        Boolean enable = true;
        public Boolean Enable
        {
            get { return enable; }
            set { enable = value;
            NotifyPropertyChanged("Enable");
            }
        }

        public VM()
        {
            for (int i = 0; i < 10; i++)
            {
                Person p = new Person()
                {
                    Name = "name " + i.ToString(),
                    Age = 18 + i
                };
                people.Add(p);
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
